<app-title-card [title]="currentStudySetTest.title" [actions]="true" [toStudySetDetails]="true" [toStudySets]="false"
  [StudySetId]="currentStudySetTest.id"></app-title-card>
<ng-container *ngIf="cards.length > 0; else noCards">
  <owl-carousel-o [options]="options" (translated)="getData($event)">
    <ng-container *ngFor="let card of cards">
      <ng-template carouselSlide>
        <div class="flip-card">
          <div class="flip-card-inner">
            <div class="flip-card-front">
              <app-card [content]="card.term"></app-card>
            </div>
            <div class="flip-card-back">
              <app-card [content]="card.definition"></app-card>
            </div>
          </div>
        </div>
      </ng-template>
    </ng-container>
    <ng-template carouselSlide>
      <app-card [content]="'Well Done 👍! Click me to go back'"
        [actionUrl]="['/home/study-sets/', currentStudySetTest.id]">
      </app-card>
    </ng-template>
  </owl-carousel-o>
  <div class="has-text-centered">
    <p class="is-size-6">{{ position }} / {{ cards.length }}</p>
  </div>
</ng-container>
<ng-template #noCards>
  <div class="flip-card">
    <div class="flip-card-inner">
      <div class="flip-card-front">
        <app-card [content]="'No cards 🤷'"></app-card>
      </div>
      <div class="flip-card-back">
        <app-card [content]="'Go back to create cards'" [actionUrl]="['/home/study-sets/', currentStudySetTest.id]">
        </app-card>
      </div>
    </div>
  </div>
</ng-template>
